Bug 984926 - update_syntax: assertion failed: (state->context != NULL)
update_syntax: assertion failed: (state->context != NULL)
Product: Fedora
Classification: Fedora
Component: gtksourceview3 (Show other bugs)
Unspecified Unspecified
unspecified Severity unspecified
: ---
: ---
Assigned To: Matthias Clasen
Fedora Extras Quality Assurance
Depends On:
  Show dependency treegraph
Reported: 2013-07-16 07:41 EDT by Ian Collier
Modified: 2014-02-05 17:08 EST (History)
1 user (show)

See Also:
Fixed In Version:
Doc Type: Bug Fix
Doc Text:
Story Points: ---
Clone Of:
Last Closed: 2014-02-05 17:08:20 EST
Type: Bug
Regression: ---
Mount Type: ---
Documentation: ---
Verified Versions:
Category: ---
oVirt Team: ---
RHEL 7.3 requirements from Atomic Host:
Cloudforms Team: ---

Attachments (Terms of Use)

  None (edit)
Description Ian Collier 2013-07-16 07:41:05 EDT
Description of problem:
gedit on F17 and F18 offers a choice called "Defaults" in the syntax highlighting menu.  (On F19 gedit doesn't seem to offer this choice, although the "def.lang" file to which it refers is still present.)  This mode seems to crash on any nonempty file.

It's possible to persuade gedit to select this mode for a particular file whenever the file is opened.  After that, it's impossible to edit that file with gedit because it crashes on startup (this did happen to one of our users - we are not sure how they got it in that situation).

Version-Release number of selected component (if applicable):

How reproducible:
Reliably reproducible

Steps to Reproduce:
1. gedit /tmp/foo
2. Type, e.g., "hello"
3. At the bottom it probably says "Plain Text".  Open the menu and choose "Defaults"

This crashes instantly with:
GtkSourceView:ERROR:gtksourcecontextengine.c:5421:update_syntax: assertion failed: (state->context != NULL)


1. gedit /tmp/foo (an empty file)
2. Type a character, then delete it
3. Select "Defaults" from the menu
4. Save the file, then quit
5. echo hello >> /tmp/foo

Now gedit crashes on startup when asked to edit that file.
Comment 1 Fedora End Of Life 2013-12-21 09:20:22 EST
This message is a reminder that Fedora 18 is nearing its end of life.
Approximately 4 (four) weeks from now Fedora will stop maintaining
and issuing updates for Fedora 18. It is Fedora's policy to close all
bug reports from releases that are no longer maintained. At that time
this bug will be closed as WONTFIX if it remains open with a Fedora 
'version' of '18'.

Package Maintainer: If you wish for this bug to remain open because you
plan to fix it in a currently maintained version, simply change the 'version' 
to a later Fedora version prior to Fedora 18's end of life.

Thank you for reporting this issue and we are sorry that we may not be 
able to fix it before Fedora 18 is end of life. If you would still like 
to see this bug fixed and are able to reproduce it against a later version 
of Fedora, you are encouraged  change the 'version' to a later Fedora 
version prior to Fedora 18's end of life.

Although we aim to fix as many bugs as possible during every release's 
lifetime, sometimes those efforts are overtaken by events. Often a 
more recent Fedora release includes newer upstream software that fixes 
bugs or makes them obsolete.
Comment 2 Fedora End Of Life 2014-02-05 17:08:20 EST
Fedora 18 changed to end-of-life (EOL) status on 2014-01-14. Fedora 18 is
no longer maintained, which means that it will not receive any further
security or bug fix updates. As a result we are closing this bug.

If you can reproduce this bug against a currently maintained version of
Fedora please feel free to reopen this bug against that version. If you
are unable to reopen this bug, please file a new report against the
current release. If you experience problems, please add a comment to this

Thank you for reporting this bug and we are sorry it could not be fixed.

Note You need to log in before you can comment on or make changes to this bug.